Subject: Re: Feature request: readline's completion-prefix-display-length option
From: Bart Schaefer <[email-masked]>
To: Zsh hackers list <[email-masked]>
Cc: Hong Xu <[email-masked]>
Date: Sun, 15 May 2016 04:50:50 -0700
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Sat, May 14, 2016 at 11:08 PM, Hong Xu <[email-masked]> wrote:
>
> I believe that readline's completion-prefix-display-length is a great
> option to have for zle. This option enables the common part of long
> completions to be represented by ellipsis, so the options in the
> completion list would not be too long in many cases.

There might be a deviously clever way to do this with the list-colors
style, similar to the way that show-ambiguity is implemented.